<?php

namespace App\Modules\LeadBookingTour\Domain;

use App\Modules\LeadBooking\Domain\IdLeadBooking;

interface LeadBookingTourRepository
{
    public function index(IdLeadBookingTour $id);
    public function find(IdLeadBooking $idLeadBooking, string $action);
    public function findByGroup(IdLeadBooking $idLeadBooking, LeadBookingTourGroup $group, string $action);
    public function insert(LeadBookingTour $value);
    public function update(UpdateLeadBookingTour $value);
    public function updateDate(IdLeadBookingTour $id, LeadBookingTourDateStart $dateStart);
    public function delete(IdLeadBookingTour $id);
}
